---
description: There are no passwords in Anytype - only your recovery phrase.
---

# 恢复短语（Recovery Phrase）

<figure><img src="../../.gitbook/assets/Screenshot 2023-08-17 at 18.31.38.png" alt=""><figcaption><p>你可以随时前往 个人资料 > 设置 > 恢复短语 来访问你的恢复短语。</p></figcaption></figure>

创建账户时，你会收到自己的 12 个单词的助记词短语。这个短语在设备上生成，它是访问你的账户和解密数据的唯一途径。

你的【恢复短语】同时具有登录用户名和密码的功能。这些助记词代表着你注册时生成的主密钥，类似于比特币钱包。

你没有办法更改它，保证它的安全极其重要。你可以随时前往 个人资料 > 设置 > 恢复短语 来访问它。

### 别忘了将它存下来！

我们不会保存恢复短语的副本，这意味着如果短语丢失，我们将无法协助你恢复账户。因此，我们建议你做一个数字备份，或者将它写下来并妥善保存。

每次登录新设备时，你都需要使用它。

### 什么是恢复短语？

【恢复短语】也即种子短语，是用来作为加密密钥的 **独特单词组合**。一个典型的【恢复短语】由 12、18 或 24 个预定义列表中选出的单词组成。

你的恢复短语会使用 [**BIP39 算法**](https://medium.com/coinmonks/mnemonic-generation-bip39-simply-explained-e9ac18db9477) 来生成出你账户的 [**私钥**](https://en.wikipedia.org/wiki/Public-key\_cryptography)。

### 我们为什么要使用恢复短语？

【恢复短语】的主要目的是为备份和恢复加密信息提供一种安全便捷的方法。通过使用【恢复短语】，即使设备丢失、被盗或损坏，我们也能恢复私人密钥并访问数字资产。它就像一把打开我们数据的大门的万能钥匙，这使它成为长期保存数据和确保数据安全不可或缺的工具。

【恢复短语】遵循一项名为 BIP-39 (Bitcoin Improvement Proposal 39) 的标准化协议，用来确保不同钱包和应用程序之间的兼容性。BIP-39 协议还引入了“校验和”来检测转录错误，从而最大限度地降低因人为错误而造成损失的风险。

### 任何人都可以获取我的恢复短语吗？

【恢复短语】的优势在于它能够保护你的数字资产。如果生成、管理和存储得当，任何人几乎都不可能在未经你同意或不知情的情况下获取你的【恢复短语】。【恢复短语】是通过复杂的数学算法生成的，可能的组合数量之多，使攻击者猜测或强行获取【恢复短语】的难度极大。

不过，重要的是要明白，保护【恢复短语】的责任最终在于你自己。为了方便，以数字形式来存储它看起来很有吸引力，但这些方法可能会带来漏洞。相反，建议将【恢复短语】写在物理介质上，并安全地存储在只有你自己知道的地方。避免将【恢复短语】存储在连接互联网的设备上或云存储中，因为它们可能会受到黑客或未经授权访问的破坏。

### Linux 上的登录问题

Linux 用户可能在每次登录时都会被要求输入【恢复短语】。要解决这个问题，请安装密钥串（Keychain）。最流行的是 [GNOME Keyring](https://wiki.gnome.org/Projects/GnomeKeyring) — 请查看 [社区论坛上的讨论](https://community.anytype.io/t/linux-version-does-not-keep-me-logged-in/4859)。除此之外，请确保你已事先满足所有的 [依赖项](https://github.com/anyproto/anytype-ts#dependencies)。
